Lowrance Elite 5 - old Software Version needed

Post Options Post Options   Likes (0) Likes(0)   Quote TangoCharlie Quote  Post ReplyReply Direct Link To This Post Topic: Lowrance Elite 5 - old Software Version needed
    Posted: 26 Jan 2021 at 10:13am
TangoCharlie View Drop Down
Bronze
Bronze


Joined: 26 Jan 2021
Status: Offline
Points: 2
I have an Elite 5, that needs the GPS firmware upgrade, but for some reason it has old Software version 1.3 installed.    This version wont accept the latest Lowrance Elite Software upgrade which is 3.6

Lowrance NZ cant help with an older version that I need to install before I can step up to the latest version and fix the GPS Date & Time.

Does anyone have a copy of an older software version saved somewhere?


Back to Top
Forum Jump
Forum Permissions View Drop Down


This page was generated in 0.234 seconds.

Fishing Reports Visit Reports

Bream Bay Fishing Report - January 13th, 2022

Fish the contour lines As is expected at this time of the year, the fishing... Read More >

Raglan Fishing Report - January 13th, 2022

Snapper now in closer Summer fishing is upon us well and truly. The snapper are... Read More >

Tauranga Fishing Report - January 13th, 2022

Water temperature hotting up Wow this climate change is sure working to the max with... Read More >

Manukau/West Coast Fishing - January 13th, 2022

Trophy snapper great way to celebrate 70th!                 ... Read More >

Fishing bite times Fishing bite times

Major Bites

Minor Bites

Major Bites

Minor Bites